# __gnu_cxx::select1st< _Pair > Struct Template Reference
[SGI STL extensions]

An SGI extension . More...

Inherits std::_Select1st<_Pair>.

List of all members.

## Public Types

- typedef _Pair argument_type
- typedef _Pair::first_type result_type

## Public Member Functions

- const _Pair::first_type & operator() (const _Pair &__x) const
- _Pair::first_type & operator() (_Pair &__x) const

## Detailed Description

### template<class _Pair>
struct __gnu_cxx::select1st< _Pair >

An SGI extension .

Definition at line 199 of file ext/functional.

## Member Typedef Documentation

typedef _Pair std::unary_function< _Pair , _Pair::first_type >::argument_type `[inherited]`

`argument_type` is the type of the argument (no surprises here)

Definition at line 102 of file stl_function.h.

typedef _Pair::first_type std::unary_function< _Pair , _Pair::first_type >::result_type `[inherited]`

`result_type` is the return type

Definition at line 105 of file stl_function.h.

The documentation for this struct was generated from the following file:

- ext/functional